Bug 744138 - /etc/init.d/pbs_server create hangs on first time run
/etc/init.d/pbs_server create hangs on first time run
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: torque (Show other bugs)
el5
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-07 04:24 EDT by Dennis van Dok
Modified: 2011-11-04 21:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: torque-3.0.2-4.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-27 15:05:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis van Dok 2011-10-07 04:24:46 EDT
Description of problem:

On a fresh installation of torque-server, running pbs_server for the first time by running /etc/init.d/pbs_server start will hang. Also, the command to create a server database file hangs (/etc/init.d/pbs_server create).

Version-Release number of selected component (if applicable):

torque-server-2.5.7-2.el5.1

How reproducible:

Easy

Steps to Reproduce:
1. /etc/init.d/pbs_server stop
2. rm -f /var/torque/server_priv/serverdb 
3. /etc/init.d/pbs_server start
  
Actual results:

Hangs at step 3.

Expected results:

Returned prompt.

Additional info:

http://www.supercluster.org/pipermail/torqueusers/2011-May/012828.html
Comment 1 Steve Traylen 2011-10-07 10:29:26 EDT
From memory these el5 and 4 packages are still using an old init.d from before the recent big upgrade.... 

I should now be able to migrate to the upstream one sinnce it a few fixes added quite recently.
Comment 2 Steve Traylen 2011-10-08 18:06:55 EDT
Patch and comments submitted upstream:

http://www.clusterresources.com/bugzilla/show_bug.cgi?id=161
Comment 3 Fedora Update System 2011-10-08 18:44:25 EDT
torque-2.5.7-2.el5.3 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/torque-2.5.7-2.el5.3
Comment 4 Fedora Update System 2011-10-08 18:44:32 EDT
torque-2.5.7-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/torque-2.5.7-4.el6
Comment 5 Fedora Update System 2011-10-08 18:44:41 EDT
torque-3.0.2-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/torque-3.0.2-4.fc16
Comment 6 Fedora Update System 2011-10-08 18:46:58 EDT
torque-2.5.7-2.el4.3 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/torque-2.5.7-2.el4.3
Comment 7 Fedora Update System 2011-10-09 15:13:23 EDT
Package torque-3.0.2-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing torque-3.0.2-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14070
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-10-27 15:05:20 EDT
torque-2.5.7-2.el5.3 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-10-27 15:07:51 EDT
torque-2.5.7-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-10-27 15:12:03 EDT
torque-2.5.7-2.el4.3 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-11-04 21:30:03 EDT
torque-3.0.2-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.